wood burning stoves 2.0*
The moose likes XML and Related Technologies and the fly likes IncompatibleClassChangeError when running JAXB on Unix AIX, HELP Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Engineering » XML and Related Technologies
Bookmark "IncompatibleClassChangeError when running JAXB on Unix AIX, HELP " Watch "IncompatibleClassChangeError when running JAXB on Unix AIX, HELP " New topic
Author

IncompatibleClassChangeError when running JAXB on Unix AIX, HELP

Ismail Abrams
Greenhorn

Joined: Jul 26, 2012
Posts: 4
Hellow,

I get a java.lang.IncompatibleClassChangeError when i try to run my project on AIX machine.

  • The project generate XML files using JAXB API (2.0).
  • The development environment installed in Windows XP and use JDK1.5.0(the same JDK as AIX machine ones).
  • In the developement environment the project works good. but in the AIX machine it doesn't work (throws the exception).


  • Here is the stack trace when I try to run the project :

    Please help.
    Thanks.
     
    jQuery in Action, 2nd edition
     
    subject: IncompatibleClassChangeError when running JAXB on Unix AIX, HELP
     
    Similar Threads
    problem with jaxws
    Using Sun's Migration Tool...
    A problem apear on weblogic 10.3,but tomcat is worked
    A problem apear on weblogic 10.3,but tomcat is worked
    Need Debugging Help